Next: a64l, Up: Stdlib

### 2.1 `_Exit`—end program execution with no cleanup processing

Synopsis

         #include <stdlib.h>
         void _Exit(int code);

Description
Use `_Exit` to return control from a program to the host operating environment. Use the argument code to pass an exit status to the operating environment: two particular values, `EXIT_SUCCESS` and `EXIT_FAILURE`, are defined in ``stdlib.h`' to indicate success or failure in a portable fashion.

`_Exit` differs from `exit` in that it does not run any application-defined cleanup functions registered with `atexit` and it does not clean up files and streams. It is identical to `_exit`.

Returns
`_Exit` does not return to its caller.

Portability
`_Exit` is defined by the C99 standard.

Supporting OS subroutines required: `_exit`.